// ModulistDlg.h : header file
//

#if !defined(AFX_MODULISTDLG_H__AAF96366_8DEA_11D2_83F4_00104B3F288F__INCLUDED_)
#define AFX_MODULISTDLG_H__AAF96366_8DEA_11D2_83F4_00104B3F288F__INCLUDED_

#include "extlistbox.h"
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CModulistDlg dialog

#define MAX_PROCESSES 1024
#define MAX_MODULES 1024
class CModulistDlg : public CDialog
{
// Construction
public:
	CModulistDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CModulistDlg)
	enum { IDD = IDD_MODULIST_DIALOG };
	CButton	m_SaveButton;
	CButton	m_CancelButton;
	CButton	m_RefreshButton;
	//}}AFX_DATA
	CExtListBox	m_ModuleList;
	CExtListBox	m_ProcessList;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModulistDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CModulistDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRefresh();
	afx_msg void OnSelchangeList1();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	OSVERSIONINFO m_version;
	HINSTANCE m_hSysHelp;
	
	BOOL ProcInterfaceFound();
	void Refresh();
	BOOL BuildWin95ProcessList();
	BOOL BuildNTProcessList();
	BOOL BuildWin95ModuleList(DWORD PID);
	BOOL BuildWinNTModuleList(DWORD PID);
	void DumpOptionalHeader(LPSTR filename, IMAGE_OPTIONAL_HEADER32 &Header);
};


	//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODULISTDLG_H__AAF96366_8DEA_11D2_83F4_00104B3F288F__INCLUDED_)
