#if !defined(AFX_EXTLISTBOX_H__25006AB2_9003_11D2_A0CD_0000F696163F__INCLUDED_)
#define AFX_EXTLISTBOX_H__25006AB2_9003_11D2_A0CD_0000F696163F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ExtListBox.h : header file
//
#include "shlobj.h"
/////////////////////////////////////////////////////////////////////////////
// CExtListBox window

class CTitleTip;

typedef struct ITEM_DATA
{
	char * pszPath;
	DWORD dwProcId;
} ITEM_DATA;

class CExtListBox : public CListBox
{
// Construction
public:
	CExtListBox();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExtListBox)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
public:
	DWORD GetProcID(int nIndex);
	int GetPath(int nIndex,LPTSTR lpszBuffer);
	int GetPath(int nIndex,CString &szBuffer);
	int DeleteString(UINT Index);
	void ResetContent();
	int AddPath(LPCTSTR  lpszItem, DWORD dwProcID = 0);
	virtual ~CExtListBox();

	// Generated message map functions
protected:
	void DeletePath(UINT Index);
	CString GetDisplayString(LPCTSTR lpszItem);
	//{{AFX_MSG(CExtListBox)
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMenuSelect(UINT nItemID, UINT nFlags, HMENU hSysMenu);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDestroy();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnActivateApp(BOOL bActive, HTASK hTask);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnCaptureChanged(CWnd *pWnd);
	//}}AFX_MSG
	BOOL DoTheMenuThing (HWND hwnd, LPSHELLFOLDER lpsfParent, LPITEMIDLIST lpi, LPPOINT lppt);

	DECLARE_MESSAGE_MAP()
	long m_MenuItemID;

// Tootip Stuff
protected:    
	const int m_nNoIndex; // Not a valid index
    CPoint m_LastMouseMovePoint; // Last position of mouse cursor
    BOOL m_bMouseCaptured; // Is mouse captured?
	BOOL m_bAppActive;
    CTitleTip *m_pTitleTip; // TitleTip that gets displayed when necessary
    // This method should be overridden by an owner-draw listbox.
    virtual int GetIdealItemRect(int nIndex, LPRECT lpRect);
    void AdjustTitleTip(int nNewIndex);    void CaptureMouse();
    BOOL IsAppActive();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTLISTBOX_H__25006AB2_9003_11D2_A0CD_0000F696163F__INCLUDED_)
